var AUXO = AUXO || {};
(function ($) {
    "use strict";

    AUXO = {
        init: function () {
            this.search();
            this.mobileEvent();
            this.singleProductImage();
        },
        isMobile: function () {
            var responsive_breakpoint = 991;
            return window.matchMedia('(max-width: ' + responsive_breakpoint + 'px)').matches;
        },
        search: function () {
            $('.search-form-wrapper .search-icon').on('click', function () {
                $(this).closest('.search-form-wrapper').find('.search-form').toggle();
            });

            $(document).on('click', function (event) {
                if ($(event.target).closest('.search-form-wrapper').length === 0) {
                    $('.search-form-wrapper .search-form').hide();
                }
            });
        },
        mobileEvent: function () {
            $('.site-header .menu-toggle-button').on('click', function () {
                var $this = $(this);
                if ($this.hasClass('in')) {
                    $this.removeClass('in');
                    $('.site-navigation').slideUp();
                }
                else {
                    $this.addClass('in');
                    $('.site-navigation').slideDown();
                }

            });

            $('.main-menu a').on('click', function (event) {
                if (AUXO.isMobile()) {
                    if ($(event.target).closest('.caret').length !== 0) {
                        event.preventDefault();
                    }
                }

            });
            $('.main-menu .menu-item-has-children .caret').on('click', function () {
                if (AUXO.isMobile()) {
                    var $this = $(this);
                    $this.closest('li').find(' > .sub-menu').slideToggle();
                    $this.toggleClass('in');
                }
            });
        },
        singleProductImage: function ($productImageWrap) {

            if (typeof $productImageWrap === "undefined") {
                $productImageWrap = $('.woocommerce-product-gallery');
            }
            var slider_main = $productImageWrap.find('.woocommerce-product-gallery__wrapper'),
                slider_thumb = $productImageWrap.find('.flex-control-thumbs'),
                items_show = 1,
                margin = 30;
            if (slider_main.length && (slider_main.closest('.g5shop__single-product-auxo-layout-3').length)) {
                slider_thumb.find('.flex-active').parent().addClass('active');
                $('img', slider_thumb).on('click', function () {
                    $('li', slider_thumb).removeClass('active');
                    $(this).parent().addClass('active');
                });
                $(document).on('found_variation', function (event, variation) {
                    if ((typeof variation !== 'undefined') && (typeof variation.variation_id !== 'undefined')) {
                        $('li', slider_thumb).removeClass('active');
                        slider_thumb.find('.flex-active').parent().addClass('active');
                    }
                });
            }
            if (slider_main.length && (slider_main.closest('.g5shop__single-product-auxo-layout-4').length)) {
                $productImageWrap.append('<span class="flex-nav flex-next"><i class="fal fa-chevron-right"></i></span>');
                $productImageWrap.append('<span class="flex-nav flex-prev"><i class="fal fa-chevron-left"></i></span>');
                $('.flex-next', $productImageWrap).on('click', function () {
                    if (slider_thumb.find('.flex-active').parents('.slick-active').next().length) {
                        slider_thumb.find('.flex-active').parents('.slick-active').next().find('img').trigger('click');
                    }
                });
                $('.flex-prev', $productImageWrap).on('click', function () {
                    if (slider_thumb.find('.flex-active').parents('.slick-active').prev().length) {
                        slider_thumb.find('.flex-active').parents('.slick-active').prev().find('img').trigger('click');
                    }
                });
            }
        }
    };

    $(document).ready(function () {
        AUXO.init();
    });
    $(window).resize(function () {
        if (!AUXO.isMobile()) {
            $('.site-header .menu-toggle-button').removeClass('in');
            $('.main-menu .menu-item-has-children .caret').removeClass('in');
            $('.site-navigation').css('display', '');
            $('.main-menu .menu-item-has-children > .sub-menu').css('display', '');
        }
    });
})(jQuery);