<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
if ( function_exists( 'G5CORE' ) ) {
	add_action( 'template_redirect', 'auxo_custom_css', 20 );
}

function auxo_custom_css() {
	$custom_css = '';
	$custom_css .= auxo_custom_text_color();
	$custom_css .= auxo_custom_accent_color();
	$custom_css .= auxo_custom_border_color();
	$custom_css .= auxo_custom_heading_color();
	$custom_css .= auxo_custom_caption_color();
	$custom_css .= auxo_custom_placeholder_color();
	$custom_css .= auxo_custom_primary_color();
	$custom_css .= auxo_custom_secondary_color();
	$custom_css .= auxo_custom_dark_color();
	$custom_css .= auxo_custom_light_color();
	$custom_css .= auxo_custom_gray_color();
	$custom_css .= auxo_custom_body_font();
	$custom_css .= auxo_custom_primary_font();

	G5CORE()->custom_css()->addCss( $custom_css );
}

function auxo_custom_text_color() {
	$text_color = G5CORE()->options()->color()->get_option( 'site_text_color' );
	return <<<CSS
.text-color,
body,
.gel-banner-description {
  color: {$text_color};
}
.important-text-color,
.gel-pricing-progress .pricing-feature.disable .list-bullet,
.gel-pricing-progress .pricing-feature.disable {
  color: {$text_color} !important;
}
.text-color,
body {
  color: {$text_color};
}

.text-color,
.woocommerce div.product div.summary .g5core__social-share.product label,
.woocommerce div.product .woocommerce-tabs ul.tabs li a:after,
.g5shop__single-product-tabs.layout-1 .g5shop__tabs-container .nav-tabs .nav-link:after,
.g5shop__single-product-tabs.layout-2 .g5shop__tabs-container .nav-tabs .nav-link:after,
.woocommerce .widget_price_filter .price_slider_amount .button {
  color: {$text_color};
}

CSS;
}

function auxo_custom_accent_color() {
	$accent_color                = G5CORE()->options()->color()->get_option( 'accent_color' );
	$color_accent_foreground     = g5core_color_contrast( $accent_color );
	$accent_color_darken_075     = g5core_color_darken( $accent_color, '7.5%' );
	$accent_color_darken_10      = g5core_color_darken( $accent_color, '10%' );
	$accent_adjust_brightness_15 = g5core_color_adjust_brightness( $accent_color, '15%' );

	return <<<CSS
	
a {
   color: {$accent_color};
}
::-moz-selection {
  background-color: {$accent_color};
  color:{$color_accent_foreground};
}

::selection {
  background-color: {$accent_color};
  color: {$color_accent_foreground};
}
.btn.btn-accent {
  color: {$color_accent_foreground};
  background-color: {$accent_color};
  border-color: {$accent_color};
}
.btn.btn-accent.btn-outline:focus, .btn.btn-accent.btn-outline:hover, .btn.btn-accent.btn-outline:active {
  background-color: {$accent_color};
  color: {$color_accent_foreground};
  border-color: {$accent_color};
}
.btn.btn-accent.btn-link {
  color: {$accent_color};
}
.btn.btn-accent.btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$accent_color}), color-stop(51%,{$accent_adjust_brightness_15}), to({$accent_color}));
  background-image: linear-gradient(to right, {$accent_color} 0%, {$accent_adjust_brightness_15} 51%, {$accent_color} 100%);
}
.gel-image-box.border-img .image, .gel-image-box.border-img:hover .image {
  -webkit-box-shadow: 0 0 0 4px {$accent_color} ;
  box-shadow: 0 0 0 4px {$accent_color} ;
}

.gel-image-box.border-img .image:after, .gel-image-box.border-img:hover .image:after {
  -webkit-box-shadow: 0 0 0 1px {$accent_color} !important;
  box-shadow: 0 0 0 1px {$accent_color} !important;
}
.wp-block-button__link:not(.has-background):not(.has-text-color) {
  color: {$color_accent_foreground};
  background-color: {$accent_color};
  border-color: {$accent_color};
}
.wp-block-button:not(.is-style-outline) .wp-block-button__link:hover {
  color: {$color_accent_foreground};
  background-color: {$accent_color};
  border-color: {$accent_color};
}
.wp-block-button.is-style-outline .wp-block-button__link:hover {
  background-color: {$accent_color} !important;
}
.accent-text-color,
blockquote cite,
.gel-heading-title mark,
.gel-heading-subtitle,
.gel-pricing-style-1 .pricing-name,
.gel-pricing-style-2 .pricing-name,
.gel-pricing-style-3 .pricing-name,
.mailchimp-auxo button:hover,
.mailchimp-style-02 .mailchimp-auxo button:hover:before,
.g5element_product_category .gel-cate-title:hover,
.site-info a,
.slick-dots li.slick-active,
.slick-dots li:hover,
.slick-arrow:active,
.slick-dots li:active,
.slick-arrow:focus,
.slick-dots li:focus,
.wp-block-pullquote cite,
.wp-block-pullquote footer,
.wp-block-pullquote .wp-block-pullquote__citation,
.wp-block-quote cite,
.wp-block-quote footer,
.wp-block-quote .wp-block-quote__citation,
.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color),
.article-post .entry-title a:hover,
.article-post .entry-meta a:hover,
.article-post .entry-meta .meta-author .title-meta-author,
.author-info-content .name a:hover,
.comment-form a:hover,
.comment-list li.pingback .comment-body .edit-link a:hover,
.comment-list li.trackback .comment-body .edit-link a:hover,
.comment-list .comment-author .fn > a:hover,
.comment-list .reply a:hover,
.comment-list .comment-metadata a:hover,
.comment-list .reply,
.comment-list .comment-reply-title small a,
ul.g5blog__post-meta li.meta-author span,
ul.g5blog__post-meta li a:hover,
.g5blog__post-title:hover,
.content-404-wrapper h2,
.heading-404 .sub-title h4 {
  color: {$accent_color};
}

.important-accent-text-color {
  color: {$accent_color} !important;
}
.accent-bg-color,
.btn.btn-link:before,
.pricing-featured-text,
.gel-pricing-progress.pri-progress-50 .pricing-wrap-top,
.menu-horizontal > .menu-item > a:after,
.g5core-back-to-top:focus,
.g5core-back-to-top:hover,
.g5core__paging.next-prev > a:not(.disable):hover,
.page-numbers:not(ul).current,
.page-numbers:not(ul):hover,
.post-navigation .nav-links > div:hover,
.page-links > .post-page-numbers:hover,
.page-links > .post-page-numbers.current {
  background-color: {$accent_color};
}

.important-accent-bg-color {
  background-color: {$accent_color} !important;
}

.accent-border-color,
blockquote,
.g5core__paging.next-prev > a:not(.disable):hover,
.wp-block-quote,
.wp-block-quote[style*="text-align:right"],
.wp-block-quote[style*="text-align: right"],
.wp-block-button.is-style-outline .wp-block-button__link:hover,
.page-numbers:not(ul).current,
.page-numbers:not(ul):hover,
.post-navigation .nav-links > div:hover,
.page-links > .post-page-numbers:hover,
.page-links > .post-page-numbers.current {
  border-color: {$accent_color};
}
.link-text-color {
  color: {$accent_color};
}
.wp-block-button__link:not(.has-background):not(.has-text-color) {
  color: {$color_accent_foreground};
  background-color: {$accent_color};
  border-color: {$accent_color};
}
.wp-block-button:not(.is-style-outline) .wp-block-button__link:hover {
  color: {$color_accent_foreground};
  background-color: {$accent_color};
  border-color: {$accent_color};
}
.wp-block-button.is-style-outline .wp-block-button__link:hover {
  background-color: {$accent_color} !important;
}
.accent-text-color,
blockquote cite,
.wp-block-pullquote cite,
.wp-block-pullquote footer,
.wp-block-pullquote .wp-block-pullquote__citation,
.wp-block-quote cite,
.wp-block-quote footer,
.wp-block-quote .wp-block-quote__citation,
.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color),
.article-post .entry-title a:hover,
.article-post .entry-meta a:hover,
.article-post .entry-meta .meta-author .title-meta-author,
.author-info-content .name a:hover {
  color: {$accent_color};
}

.accent-bg-color {
  background-color: {$accent_color};
}

.important-accent-bg-color {
  background-color: {$accent_color} !important;
}
.accent-border-color,
blockquote,
.wp-block-quote,
.wp-block-quote[style*="text-align:right"],
.wp-block-quote[style*="text-align: right"],
.wp-block-button.is-style-outline .wp-block-button__link:hover {
  border-color: {$accent_color};
}
.accent-text-color,
.woocommerce-loop-category__title:hover,
.g5shop__loop-product-title:hover,
.woocommerce ul.products li.product .woocommerce-loop-category__title:hover,
.woocommerce ul.products li.product .woocommerce-loop-product__title:hover,
.g5shop__loop-product-cat:hover,
.g5shop__product-list-actions a.added_to_cart:hover,
.g5shop__product-list-actions a.button:hover,
.g5shop__product-list-actions .g5shop__quick-view:hover,
.g5shop__product-list-actions .g5shop__quick-view:active,
.g5shop__product-list-actions .g5shop__quick-view:focus,
.g5shop__product-list-actions .yith-wcwl-add-to-wishlist a:hover,
.g5shop__product-list-actions .yith-wcwl-add-to-wishlist a:active,
.g5shop__product-list-actions .yith-wcwl-add-to-wishlist a:focus,
.g5shop__product-list-actions .compare:hover,
.g5shop__product-list-actions .compare:active,
.g5shop__product-list-actions .compare:focus,
.g5shop__mini-cart ul.woocommerce-mini-cart li a:not(.remove):hover,
.g5shop__mini-cart ul.woocommerce-mini-cart li a:not(.remove):focus,
.g5shop__mini-cart ul.woocommerce-mini-cart li a:not(.remove):active,
.g5shop__mini-cart .woocommerce-mini-cart__total .woocommerce-Price-amount,
.g5shop__post-skin-classic .g5shop__product-info a.added_to_cart:hover,
.g5shop__post-skin-classic .g5shop__product-info a.button:hover,
.woocommerce div.product div.summary .product_title a:hover,
.woocommerce div.product div.summary .woocommerce-product-rating a:hover,
.woocommerce div.product div.summary .product_meta > span a:hover,
.woocommerce div.product form.cart table.group_table td.woocommerce-grouped-product-list-item__label a:hover,
.woocommerce table.my_account_orders .product-name a:hover,
.woocommerce table.shop_table.cart .product-name a:hover,
.woocommerce table.woocommerce-checkout-review-order-table tfoot tr.order-total td,
.woocommerce table.order_details tfoot tr.order-total td,
.woocommerce ul.product_list_widget:not(.cart_list) li a:hover{
  color: {$accent_color};
}
.accent-bg-color,
.woocommerce .woocommerce-pagination ul.page-numbers li span:hover,
.woocommerce .woocommerce-pagination ul.page-numbers li span.current,
.woocommerce .woocommerce-pagination ul.page-numbers li a:hover,
.woocommerce .woocommerce-pagination ul.page-numbers li a.current,
.woocommerce-page .woocommerce-pagination ul.page-numbers li span:hover,
.woocommerce-page .woocommerce-pagination ul.page-numbers li span.current,
.woocommerce-page .woocommerce-pagination ul.page-numbers li a:hover,
.woocommerce-page .woocommerce-pagination ul.page-numbers li a.current,
.g5shop_header-action-icon a > span,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range {
  background-color:{$accent_color};
}
.accent-border-color,
.woocommerce .woocommerce-pagination ul.page-numbers li span:hover,
.woocommerce .woocommerce-pagination ul.page-numbers li span.current,
.woocommerce .woocommerce-pagination ul.page-numbers li a:hover,
.woocommerce .woocommerce-pagination ul.page-numbers li a.current,
.woocommerce-page .woocommerce-pagination ul.page-numbers li span:hover,
.woocommerce-page .woocommerce-pagination ul.page-numbers li span.current,
.woocommerce-page .woocommerce-pagination ul.page-numbers li a:hover,
.woocommerce-page .woocommerce-pagination ul.page-numbers li a.current {
  border-color: {$accent_color};
}

CSS;
}


function auxo_custom_border_color() {
	$border_color = G5CORE()->options()->color()->get_option( 'border_color' );
	return <<<CSS
	
.border-color,
hr,
table th,
table td,
table thead th,
.pricing-button .btn-outline,
.gel-pricing-progress,
.gel-pricing-line,
.mailchimp-auxo,
.mailchimp-style-01 .mailchimp-auxo,
.mailchimp-style-02 .mailchimp-auxo,
.site-header .search-form-wrapper .search-form,
.g5core__paging.next-prev > a,
.wp-block-table th,
.wp-block-table td,
ul.wp-block-latest-posts.is-grid li,
.page-numbers:not(ul),
.post-navigation .nav-links > div,
.page-links > .post-page-numbers,
.widget_calendar caption {
  border-color: {$border_color};
}

.border-top-color,
.site-header .site-navigation {
  border-top-color: {$border_color};
}

.border-left-color {
  border-left-color: {$border_color};
}

.border-bottom-color {
  border-bottom-color: {$border_color};
}

.border-bg-color,
.gel-pricing-progress .pricing-features:after,
.gel-pricing-line .pricing-features:before {
  background-color:{$border_color};
}

.border-color,
hr,
table th,
table td,
table thead th,
.wp-block-table th,
.wp-block-table td,
ul.wp-block-latest-posts.is-grid li {
  border-color: {$border_color};
}
@media (max-width: 767px) {
  .g5shop__tab-panel {
    border: 1px solid {$border_color};
  }
}
.g5shop__single-product-tabs.layout-3 .g5shop__tabs-container .nav-tabs .nav-link {
  border-color: {$border_color} {$border_color} {$border_color};
}
.g5shop__single-product-tabs.layout-3 .g5shop__tabs-container .nav-tabs .nav-link.active {
  border-color: {$border_color} #fff {$border_color} {$border_color};
}
@media (max-width: 768px) {
  .woocommerce table.my_account_orders tr:not(:first-child),
.woocommerce table.shop_table.cart tr:not(:first-child) {
    border-top: 1px solid {$border_color};
  }
}
.border-color,
.woocommerce .woocommerce-pagination ul.page-numbers li,
.woocommerce-page .woocommerce-pagination ul.page-numbers li,
.g5shop__layout-list .g5shop__product-item-inner,
.g5shop__layout-list .g5shop__product-cat-item-inner,
.woocommerce div.product div.summary .product_meta,
.g5shop__panel-heading h4,
.g5shop__single-product-tabs.layout-3 .g5shop__panels-container,
.g5shop__single-product-tabs.layout-4 .g5shop__tab-panel,
.woocommerce #reviews #comments ol.commentlist li .comment-text,
.woocommerce table.my_account_orders th,
.woocommerce table.shop_table.cart th,
.woocommerce table.my_account_orders td.actions,
.woocommerce table.shop_table.cart td.actions,
.woocommerce table.my_account_orders td.actions .coupon .input-text,
.woocommerce table.shop_table.cart td.actions .coupon .input-text,
.woocommerce .cart-collaterals .cart_totals > h2,
.woocommerce-page .cart-collaterals .cart_totals > h2,
#order_review_heading,
.woocommerce table.woocommerce-checkout-review-order-table tfoot th,
.woocommerce table.woocommerce-checkout-review-order-table tfoot td,
.woocommerce table.order_details tfoot th,
.woocommerce table.order_details tfoot td,
.woocommerce-MyAccount-content fieldset {
  border-color: {$border_color};
}


CSS;
}


function auxo_custom_heading_color() {
	$heading_color = G5CORE()->options()->color()->get_option( 'heading_color' );
	return <<<CSS
	
.search-form-404 .search-field {
  border-color:{$heading_color};
}
.heading-color,
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
blockquote p,
.textblock-custom-style-02,
.gel-banner-title,
.gel-list-style-03 ul li:hover,
.gel-page-title .page-main-title,
.mailchimp-auxo button,
.g5element__products-slider .slick-arrows .slick-arrow:hover,
.site-branding-text .site-title a,
div.x-mega-sub-menu .gel-list .gel-list-item:hover,
.page-main-title,
ul.breadcrumbs li.breadcrumb-leaf,
.g5core__cate-filer li:hover > a,
.g5core__cate-filer li:active > a,
.g5core__cate-filer li.active > a,
ul.g5core__share-list li a:hover,
.g5core__share-label,
.g5core-breadcrumbs li a:hover,
.g5core-breadcrumbs li.breadcrumb-leaf,
.wp-block-archives li > a:hover,
.wp-block-categories li > a:hover,
.wp-block-archives .current-cat > a,
.wp-block-categories .current-cat > a,
.wp-block-latest-posts a:hover,
.wp-block-latest-comments a:hover,
.comment-list li.pingback .comment-body a:not(.comment-edit-link),
.comment-list li.trackback .comment-body a:not(.comment-edit-link),
.comment-list .comment-author .fn,
.post-navigation .nav-links .nav-title,
.page-links .page-links-title,
.widget_search button:before,
.widget_rss ul a:hover,
.widget_recent_entries ul a:hover,
.widget_recent_comments ul a:hover,
.widget_meta ul a:hover,
.widget_archive ul li > a:hover,
.widget_categories ul li > a:hover,
.widget_nav_menu ul li > a:hover,
.widget_pages ul li > a:hover,
.widget_archive ul .current-cat > a,
.widget_categories ul .current-cat > a,
.widget_nav_menu ul .current-cat > a,
.widget_pages ul .current-cat > a,
.widget_pages ul .current_page_item > a,
.widget_nav_menu ul .current-menu-item > a,
.widget_calendar caption,
.tagcloud label,
.tagcloud a:hover,
.content-404-wrapper h4,
.heading-404 .title {
  color: {$heading_color};
}
.heading-bg-color {
  background-color: {$heading_color};
}
.heading-border-color {
  border-color: {$heading_color};
}
.edit-post-layout__content .editor-post-title__block .editor-post-title__input {
  color: {$heading_color};
}
.heading-color,
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
blockquote p,
.textblock-custom-style-02,
.wp-block-archives li > a:hover,
.wp-block-categories li > a:hover,
.wp-block-archives .current-cat > a,
.wp-block-categories .current-cat > a,
.wp-block-latest-posts a:hover,
.wp-block-latest-comments a:hover {
  color: {$heading_color};
}

.heading-color,
.woocommerce a.remove:hover:before,
.g5shop__product-list-actions a.added_to_cart,
.g5shop__product-list-actions a.button,
.g5shop__product-list-actions .g5shop__quick-view,
.g5shop__product-list-actions .yith-wcwl-add-to-wishlist a,
.g5shop__product-list-actions .compare,
.g5shop__swatch-text .g5shop__swatches-item.g5shop__sw-selected,
.g5shop__swatch-text .g5shop__swatches-item:hover,
.g5shop__reset_variations:hover,
.g5shop__post-skin-classic .g5shop__product-info a.added_to_cart,
.g5shop__post-skin-classic .g5shop__product-info a.button,
.g5shop__switch-layout a.active,
.g5shop__switch-layout a:hover,
.g5shop__switch-layout a:focus,
.g5shop__switch-layout a:active,
.g5shop__filter-button.active,
.g5shop__filter-button:hover,
.g5shop__filter-button:focus,
.g5shop__filter-button:active,
.woocommerce div.product form.cart table.variations .reset_variations:hover,
.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.g5shop__tabs-container .nav-tabs .nav-link:hover,
.g5shop__tabs-container .nav-tabs .nav-link.active,
.woocommerce #reviews #review_form_wrapper .comment-reply-title,
.woocommerce table.my_account_orders th,
.woocommerce table.shop_table.cart th,
.woocommerce table.my_account_orders .product-name a,
.woocommerce table.shop_table.cart .product-name a,
.woocommerce table.my_account_orders .product-subtotal .amount,
.woocommerce table.my_account_orders .product-price .amount,
.woocommerce table.shop_table.cart .product-subtotal .amount,
.woocommerce table.shop_table.cart .product-price .amount,
.woocommerce-account-fields label > span,
.woocommerce #order_review_wrapper .woocommerce-checkout-payment ul.payment_methods li label,
.woocommerce table.woocommerce-checkout-review-order-table th,
.woocommerce table.order_details th,
.woocommerce table.woocommerce-checkout-review-order-table tfoot tr.cart-subtotal td,
.woocommerce table.order_details tfoot tr.cart-subtotal td,
.woocommerce ul.product_list_widget:not(.cart_list) li a,
.widget_product_categories ul li > a:hover,
.widget_product_categories ul .current-cat > a,
.widget_product_categories ul a:hover + .count,
.widget_product_search button:before,
.g5shop__widget-price-filter ul li > a:hover,
.g5shop__widget-product-sorting ul li > a:hover,
.g5shop__widget-price-filter ul .current-cat > a,
.g5shop__widget-product-sorting ul .current-cat > a,
.g5shop__widget-price-filter ul .current,
.g5shop__widget-product-sorting ul .current,
.woocommerce .widget_layered_nav_filters ul li a:before,
.woocommerce .widget_layered_nav_filters ul li a:hover,
.woocommerce .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item--chosen a,
.woocommerce .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item--chosen a + .count,
.woocommerce .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list a:hover,
.woocommerce .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list a:hover + .count,
.woocommerce .widget_price_filter .price_slider_amount .button:hover,
.woocommerce-MyAccount-navigation ul li > a,
.woocommerce-MyAccount-content fieldset legend,
.woocommerce table.wishlist_table .product-stock-status span.wishlist-in-stock{
  color: {$heading_color};
}

.heading-bg-color,
.woocommerce .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item--chosen a:not(.layered-nav-item-color) > span,
.woocommerce .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list a:not(.layered-nav-item-color):hover > span {
  background-color: {$heading_color};
}



CSS;
}

function auxo_custom_caption_color() {
	$caption_color = G5CORE()->options()->color()->get_option( 'caption_color' );
	return <<<CSS
.caption-color,
caption,
.mailchimp-style-02 .mailchimp-auxo button:before {
  color: {$caption_color};
}

CSS;

}

function auxo_custom_primary_color() {
	$primary_color            = G5CORE()->options()->color()->get_option( 'primary_color' );
	$primary_color_foreground = g5core_color_contrast( $primary_color );
	$primary_color_darken_075 = g5core_color_darken( $primary_color, '7.5%' );
	$primary_color_darken_10  = g5core_color_darken( $primary_color, '10%' );
	$primary_adjust_brightness_15 = g5core_color_adjust_brightness( $primary_color, '15%' );
	return <<<CSS
.btn.btn-primary {
  color: {$primary_color_foreground};
  background-color: {$primary_color};
  border-color: {$primary_color};
}
.btn.btn-primary.btn-outline {
  color: {$primary_color};
}
.btn.btn-primary.btn-outline:focus, .btn.btn-primary.btn-outline:hover, .btn.btn-primary.btn-outline:active {
  background-color: {$primary_color};
  color: {$primary_color_foreground};
  border-color: {$primary_color}
}
.btn.btn-primary.btn-link {
  color: {$primary_color};
}
.btn.btn-primary.btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$primary_color}), color-stop(51%, {$primary_adjust_brightness_15}), to( {$primary_color}));
  background-image: linear-gradient(to right, {$primary_color} 0%, {$primary_adjust_brightness_15} 51%, {$primary_color} 100%);
}
.primary-color,
.auxo-flash-sale .title,
.custom-banner-style-07 .gel-banner-title {
  color: {$primary_color};
}

CSS;

}

function auxo_custom_secondary_color() {
	$secondary_color            = G5CORE()->options()->color()->get_option( 'secondary_color' );
	$secondary_color_foreground = g5core_color_contrast( $secondary_color );
	$secondary_color_darken_075 = g5core_color_darken( $secondary_color, '7.5%' );
	$secondary_color_darken_10  = g5core_color_darken( $secondary_color, '10%' );
	$secondary_adjust_brightness_15 = g5core_color_adjust_brightness( $secondary_color, '15%' );
	return <<<CSS
	
.btn.btn-secondary {
  color: {$secondary_color_foreground};
  background-color: {$secondary_color};
  border-color: {$secondary_color};
}
.btn.btn-secondary.btn-outline {
  color: {$secondary_color};
}
.btn.btn-secondary.btn-outline:focus, .btn.btn-secondary.btn-outline:hover, .btn.btn-secondary.btn-outline:active {
  background-color: {$secondary_color};
  color: {$secondary_color_foreground};
  border-color: {$secondary_color};
}
.btn.btn-secondary.btn-link {
  color: {$secondary_color};
}
.btn.btn-secondary.btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$secondary_color}), color-stop(51%, {$secondary_adjust_brightness_15}), to({$secondary_color}));
  background-image: linear-gradient(to right, {$secondary_color} 0%, {$secondary_adjust_brightness_15} 51%, {$secondary_color} 100%);
}
.secondary-color {
  color: {$secondary_color};
}

.secondary-bg-color,
.gel-pricing-progress .pricing-features:before {
  background-color:{$secondary_color};
}


CSS;


}

function auxo_custom_dark_color() {
	$dark_color            = G5CORE()->options()->color()->get_option( 'dark_color' );
	$dark_color_foreground = g5core_color_contrast( $dark_color );
	$dark_color_darken_075 = g5core_color_darken( $dark_color, '7.5%' );
	$dark_color_darken_10  = g5core_color_darken( $dark_color, '10%' );
	$dark_adjust_brightness_15 = g5core_color_adjust_brightness( $dark_color, '15%' );
	return <<<CSS
.btn,
button,
input[type=button],
input[type=reset],
input[type=submit] {
  color: {$dark_color_foreground};
  background-color: {$dark_color};
  border-color: {$dark_color};
}
.btn.btn-outline,
button.btn-outline,
input[type=button].btn-outline,
input[type=reset].btn-outline,
input[type=submit].btn-outline {
  color: {$dark_color};
}
.btn.btn-outline:focus, .btn.btn-outline:hover, .btn.btn-outline:active,
button.btn-outline:focus,
button.btn-outline:hover,
button.btn-outline:active,
input[type=button].btn-outline:focus,
input[type=button].btn-outline:hover,
input[type=button].btn-outline:active,
input[type=reset].btn-outline:focus,
input[type=reset].btn-outline:hover,
input[type=reset].btn-outline:active,
input[type=submit].btn-outline:focus,
input[type=submit].btn-outline:hover,
input[type=submit].btn-outline:active {
  background-color:{$dark_color};
  color: {$dark_color_foreground};
  border-color: {$dark_color};
}
.btn.btn-link,
button.btn-link,
input[type=button].btn-link,
input[type=reset].btn-link,
input[type=submit].btn-link {
  color:{$dark_color};
}
.btn.btn-gradient,
button.btn-gradient,
input[type=button].btn-gradient,
input[type=reset].btn-gradient,
input[type=submit].btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$dark_color}), color-stop(51%, {$dark_adjust_brightness_15}), to({$dark_color}));
  background-image: linear-gradient(to right, {$dark_color} 0%, {$dark_adjust_brightness_15} 51%, {$dark_color} 100%);
}
.btn.btn-dark {
  color:{$dark_color_foreground};
  background-color:{$dark_color};
  border-color:{$dark_color};
}
.btn.btn-dark.btn-outline {
  color:{$dark_color};
}
.btn.btn-dark.btn-outline:focus, .btn.btn-dark.btn-outline:hover, .btn.btn-dark.btn-outline:active {
  background-color: {$dark_color};
  color: {$dark_color_foreground};
  border-color:{$dark_color};
}
.btn.btn-dark.btn-link {
  color: {$dark_color};
}
.btn.btn-dark.btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$dark_color}), color-stop(51%, {$dark_adjust_brightness_15}), to({$dark_color}));
  background-image: linear-gradient(to right, {$dark_color} 0%, {$dark_adjust_brightness_15} 51%, {$dark_color} 100%);
}
.dark-text-color,
.gel-pricing-progress .pricing-feature,
.gel-pricing-style-1 .pricing-price-number,
.gel-pricing-style-1 .pricing-price-currency,
.gel-pricing-style-2 .pricing-price-number,
.gel-pricing-style-2 .pricing-price-currency,
.gel-pricing-style-3 .pricing-price-number,
.gel-pricing-style-3 .pricing-price-currency,
.gel-pricing-style-3 .pricing-name,
.gel-pricing-style-5 .pricing-price-number,
.gel-pricing-style-5 .pricing-price-currency {
  color: {$dark_color};
}

.important-dark-text-color,
.pricing-button .btn-outline {
  color:{$dark_color} !important;
}

.dark-bg-color {
  background-color:{$dark_color};
}

.dark-border-color {
  border-color: {$dark_color};
}
.dark-text-color {
  color: {$dark_color};
}

.important-dark-text-color {
  color: {$dark_color}!important;
}

.dark-bg-color {
  background-color: {$dark_color};
}

.dark-border-color {
  border-color: {$dark_color};
}


CSS;

}

function auxo_custom_light_color() {
	$light_color            = G5CORE()->options()->color()->get_option( 'light_color' );
	$light_color_foreground = g5core_color_contrast( $light_color );
	$light_color_darken_075 = g5core_color_darken( $light_color, '7.5%' );
	$light_adjust_brightness_15 = g5core_color_adjust_brightness( $light_color, '15%' );
	return <<<CSS
	
.btn.btn-light {
  color: {$light_color_foreground};
  background-color: {$light_color};
  border-color: {$light_color};
}
.btn.btn-light.btn-outline {
  color: {$light_color};
}
.btn.btn-light.btn-outline:focus, .btn.btn-light.btn-outline:hover, .btn.btn-light.btn-outline:active {
  background-color: {$light_color};
  color: #222;
  border-color: {$light_color};
}
.btn.btn-light.btn-link {
  color: {$light_color};
}
.btn.btn-light.btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$light_color}), color-stop(51%, {$light_adjust_brightness_15}), to({$light_color}));
  background-image: linear-gradient(to right,{$light_color} 0%, {$light_adjust_brightness_15} 51%, {$light_color} 100%);
}
.light-text-color {
  color: {$light_color};
}

.important-light-text-color,
.pricing-button .btn-outline:hover {
  color: {$light_color} !important;
}
.woocommerce-MyAccount-navigation ul li.is-active > a,
.woocommerce-MyAccount-navigation ul li a:hover {
  background-color: {$light_color};
}
.woocommerce-MyAccount-content > p:not(.woocommerce-info) {
  background-color:{$light_color};
}


CSS;

}

function auxo_custom_gray_color() {
	$gray_color            = G5CORE()->options()->color()->get_option( 'gray_color' );
	$gray_color_foreground = g5core_color_contrast( $gray_color );
	$gray_color_darken_075 = g5core_color_darken( $gray_color, '7.5%' );
	$gray_color_darken_10  = g5core_color_darken( $gray_color, '10%' );
	$gray_adjust_brightness_15 = g5core_color_adjust_brightness( $gray_color, '15%' );
	return <<<CSS
.btn.btn-gray {
  color: {$gray_color_foreground};
  background-color: {$gray_color};
  border-color: {$gray_color};
}
.btn.btn-gray.btn-outline {
  color: {$gray_color};
}
.btn.btn-gray.btn-outline:focus, .btn.btn-gray.btn-outline:hover, .btn.btn-gray.btn-outline:active {
  background-color: {$gray_color};
  color: #fff;
  border-color: {$gray_color };
}
.btn.btn-gray.btn-link {
  color: {$gray_color};
}
.btn.btn-gray.btn-gradient {
  background-image: -webkit-gradient(linear, left top, right top, from({$gray_color}), color-stop(51%, {$gray_adjust_brightness_15}), to({$gray_color}));
  background-image: linear-gradient(to right, {$gray_color} 0%, {$gray_adjust_brightness_15} 51%, {$gray_color} 100%);
}
.gray-text-color,
.site-info a,
.site-info span,
.wp-caption .wp-caption-text,
ul.g5core__share-list li a {
  color:{$gray_color};
}
.gray-text-color,
.wp-caption .wp-caption-text {
  color: {$gray_color};
}
.gray-text-color,
.woocommerce .g5shop__product-item .g5shop__product-info .price,
.woocommerce ul.products li.product .price,
.woocommerce div.product div.summary p.price,
.woocommerce div.product div.summary span.price,
.woocommerce div.product form.cart table.group_table td.woocommerce-grouped-product-list-item__price .amount,
.woocommerce form .form-row label,
.woocommerce ul.product_list_widget:not(.cart_list) li .amount {
  color: {$gray_color};
}
CSS;
}


function auxo_custom_placeholder_color() {
	$placeholder_color = G5CORE()->options()->color()->get_option( 'placeholder_color' );
	return <<<CSS
textarea:-moz-placeholder,
select:-moz-placeholder,
input[type]:-moz-placeholder {
  color: {$placeholder_color};
}
textarea::-moz-placeholder,
select::-moz-placeholder,
input[type]::-moz-placeholder {
  color: {$placeholder_color};
}
textarea:-ms-input-placeholder,
select:-ms-input-placeholder,
input[type]:-ms-input-placeholder {
  color: {$placeholder_color};
}
textarea::-webkit-input-placeholder,
select::-webkit-input-placeholder,
input[type]::-webkit-input-placeholder {
  color: {$placeholder_color};
}
.placeholder-color {
  color: {$placeholder_color};
}


CSS;

}

function auxo_custom_body_font() {
	$font = g5core_process_font( G5CORE()->options()->typography()->get_option( 'body_font' ) );
	return <<<CSS
	
.font-body,
body {
  font-family: {$font['font_family']};
}

CSS;

}

function auxo_custom_primary_font() {
	$font = g5core_process_font( G5CORE()->options()->typography()->get_option( 'primary_font' ) );
	return <<<CSS
	
.font-primary,
.pricing-price-duration {
  font-family: {$font['font_family']};
}
.edit-post-layout__content .editor-post-title__block .editor-post-title__input {
  font-family: {$font['font_family']} !important;
}
.font-primary,
.g5shop__tabs-container .nav-tabs .nav-link {
  font-family: {$font['font_family']};
}
CSS;

}
